drop table if exists ${DBNAME_EDW}.f_tr_datos_detallada;

drop table if exists ${DBNAME_EDW}.f_tr_datos_detallada_reinyect;

create table ${DBNAME_EDW}.f_tr_datos_detallada
(
ani_cd string,
inicio_sesion_datos_fh timestamp,
plan_tarifario_cd string,
tipo_servicio_datos_cd string,
duracion_sesion_datos_mo bigint,
cantidad_enviada_bytes_mo bigint,
cantidad_recibida_bytes_mo bigint,
indicador_roaming_cd string,
importe_cobrado_mo double,
importe_costo_inicial_mo double,
importe_costo_abono_mo double,
importe_costo_recarga_mo double,
importe_costo_promocion_mo double,
importe_costo_bolsa5_mo double,
importe_costo_bolsa6_mo double,
importe_no_cargado_mo double,
impuesto_iva_mo double,
operadora_cd bigint,
tecnologia_acceso_red_cd string,
clase_tarifa_cd bigint,
identificador_archivo_cd bigint,
tipo_destino_cd bigint,
tipo_evento_cd string,
valor_eventprom_mo double,
imei_nr string,
identificador_sesion_cd string,
deuda_mo double,
identificador_celda_cd string,
codigo_identificador_cd string,
nombre_archivo_de string,
roaming_f int,
anio_mes_nr int,
flag_movil_fl int,
ambito_registro_id tinyint,
clase_descuento_aplicado_id smallint,
clase_tarifaria_id smallint,
detalle_servicio_trafico_id int,
estado_valorizacion_id tinyint,
ambito_red_id int,
franja_horaria_id smallint,
sentido_trafico_id tinyint,
elemento_red_origen_id smallint,
moneda_id tinyint,
plataforma_id tinyint,
acumulador_promo_trafico_id tinyint,
rango_duracion_llamada_id tinyint,
sistema_fuente_id tinyint,
tecnologia_acceso_id tinyint,
tramo_tarifario_id smallint,
fecha_inicio_sesion_id date,
hora_inicio_sesion_id tinyint,

suscripcion_id int,
suscripcion_cd string,
interurbano_cd string,
urbano_cd string,
linea_cd string,
tipo_oferta_id tinyint,
tipo_oferta_de string,
catalogo_producto_id int,
catalogo_producto_cd string,
catalogo_producto_de string,
geografia_cnc_id int,
geografia_cnc_cd string,
sub_alm_cd string,
alm_cd string,
sub_region_cnc_id tinyint,
sub_region_cnc_de string,
region_cnc_id tinyint,
region_cnc_de string,
flag_prepago_express_id tinyint,
operadora_propietaria_id int,
operadora_propietaria_cd string,
operadora_propietaria_de string,
operadora_receptora_id int,
operadora_receptora_cd string,
operadora_receptora_de string,
operadora_donante_id int,
operadora_donante_cd string,
operadora_donante_de string,
flag_volte_id tinyint,
flag_volte_cd string,
flag_volte_de string,
equipo_tecnologia_id smallint,
equipo_tecnologia_cd string,
equipo_tecnologia_de string,
equipo_utilizado_tecnologia_id smallint,
equipo_utilizado_tecnologia_cd string,
equipo_utilizado_tecnologia_de string,
catalogo_equipo_id int,
catalogo_equipo_cd string,
catalogo_equipo_de string,
estado_suscripcion_id smallint,
estado_suscripcion_cd string,
estado_suscripcion_de string,
fecha_estado_suscripcion_id date,
cliente_id int,
cliente_cd string,
sub_tipo_cliente_id tinyint,
sub_tipo_cliente_cd string,
sub_tipo_cliente_de string,
tipo_cliente_id tinyint,
tipo_cliente_cd string,
tipo_cliente_de string,
ciclo_facturacion_id tinyint,
ciclo_facturacion_cd string,
ciclo_facturacion_de string,
score_economico_id smallint,
score_economico_cd string,
score_economico_de string,
operadora_larga_distancia_id int,
operadora_larga_distancia_cd string,
operadora_larga_distancia_de string
)
partitioned by(fecha int)
CLUSTERED BY (ani_cd) INTO 8 BUCKETS
stored as orc;

create table ${DBNAME_EDW}.f_tr_datos_detallada_reinyect
(
ani_cd string,
inicio_sesion_datos_fh timestamp,
plan_tarifario_cd string,
tipo_servicio_datos_cd string,
duracion_sesion_datos_mo bigint,
cantidad_enviada_bytes_mo bigint,
cantidad_recibida_bytes_mo bigint,
indicador_roaming_cd string,
importe_cobrado_mo double,
importe_costo_inicial_mo double,
importe_costo_abono_mo double,
importe_costo_recarga_mo double,
importe_costo_promocion_mo double,
importe_costo_bolsa5_mo double,
importe_costo_bolsa6_mo double,
importe_no_cargado_mo double,
impuesto_iva_mo double,
operadora_cd bigint,
tecnologia_acceso_red_cd string,
clase_tarifa_cd bigint,
identificador_archivo_cd bigint,
tipo_destino_cd bigint,
tipo_evento_cd string,
valor_eventprom_mo double,
imei_nr string,
identificador_sesion_cd string,
deuda_mo double,
identificador_celda_cd string,
codigo_identificador_cd string,
nombre_archivo_de string,
roaming_f int,
anio_mes_nr int,
flag_movil_fl int,
ambito_registro_id tinyint,
clase_descuento_aplicado_id smallint,
clase_tarifaria_id smallint,
detalle_servicio_trafico_id int,
estado_valorizacion_id tinyint,
ambito_red_id int,
franja_horaria_id smallint,
sentido_trafico_id tinyint,
elemento_red_origen_id smallint,
moneda_id tinyint,
plataforma_id tinyint,
acumulador_promo_trafico_id tinyint,
rango_duracion_llamada_id tinyint,
sistema_fuente_id tinyint,
tecnologia_acceso_id tinyint,
tramo_tarifario_id smallint,
fecha_inicio_sesion_id date,
hora_inicio_sesion_id tinyint,

suscripcion_id int,
suscripcion_cd string,
interurbano_cd string,
urbano_cd string,
linea_cd string,
tipo_oferta_id tinyint,
tipo_oferta_de string,
catalogo_producto_id int,
catalogo_producto_cd string,
catalogo_producto_de string,
geografia_cnc_id int,
geografia_cnc_cd string,
sub_alm_cd string,
alm_cd string,
sub_region_cnc_id tinyint,
sub_region_cnc_de string,
region_cnc_id tinyint,
region_cnc_de string,
flag_prepago_express_id tinyint,
operadora_propietaria_id int,
operadora_propietaria_cd string,
operadora_propietaria_de string,
operadora_receptora_id int,
operadora_receptora_cd string,
operadora_receptora_de string,
operadora_donante_id int,
operadora_donante_cd string,
operadora_donante_de string,
flag_volte_id tinyint,
flag_volte_cd string,
flag_volte_de string,
equipo_tecnologia_id smallint,
equipo_tecnologia_cd string,
equipo_tecnologia_de string,
equipo_utilizado_tecnologia_id smallint,
equipo_utilizado_tecnologia_cd string,
equipo_utilizado_tecnologia_de string,
catalogo_equipo_id int,
catalogo_equipo_cd string,
catalogo_equipo_de string,
estado_suscripcion_id smallint,
estado_suscripcion_cd string,
estado_suscripcion_de string,
fecha_estado_suscripcion_id date,
cliente_id int,
cliente_cd string,
sub_tipo_cliente_id tinyint,
sub_tipo_cliente_cd string,
sub_tipo_cliente_de string,
tipo_cliente_id tinyint,
tipo_cliente_cd string,
tipo_cliente_de string,
ciclo_facturacion_id tinyint,
ciclo_facturacion_cd string,
ciclo_facturacion_de string,
score_economico_id smallint,
score_economico_cd string,
score_economico_de string,
operadora_larga_distancia_id int,
operadora_larga_distancia_cd string,
operadora_larga_distancia_de string,
error_cd string,
reinyectable string
)
CLUSTERED BY (ani_cd) INTO 8 BUCKETS
stored as orc;

